@charset "utf-8";

@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Noto+Serif+JP:wght@200..900&display=swap");

/* CSS Document */
:root {
  --content-color-base: #2c2a29;
  --content-color-gold: #7e6740;
  --bg-img-setting: no-repeat center center / contain;
  --content-width-sp: calc(335vw / 3.75);
  --content-width-pc: 1104px;
  --content-width: min(var(--content-width-sp), var(--content-width-pc));
  --content-bg-width-pc: max(100%, 1920px);
  --font-size-pc: 16px;
  --font-size-sp: calc(16vw / 3.75);
  --content-font-size: min(var(--font-size-sp), var(--font-size-pc));
  --font-sans: "Noto Sans JP", serif;
  --font-serif: "Noto Serif JP", serif;
  --content-hover-speed: 0.3s;
  --content-arrow-down: url(/cmn/icon2/expand_more.svg);
  --content-arrow-up: url(/cmn/icon2/expand_less.svg);
  --content-arrow-right: url(/cmn/icon2/chevron_right.svg);
  --content-border-1: 1px solid;
  --content-border-2: 2px solid;
  --content-border-4: 4px solid;
}

.is-pc,
.is-tb {
  display: none;
}

.main {
  font-family: var(--font-sans);
  font-size: var(--content-font-size);
  color: var(--content-color-base);
  line-height: 1.3;
  position: relative;
}
.main * {
  box-sizing: border-box;
}
.inner {
  width: var(--content-width);
  margin: auto;
  position: relative;
}
a {
  transition: var(--content-hover-speed);
}
img {
  height: auto;
}
.note-list > li,
.note-txt {
  display: block;
  font-size: 12px;
  font-weight: normal;
  color: #737373;
  padding-left: 1em;
  text-indent: -1em;
  line-height: 1.5;
}

/***** MV・ナビ *****/
.title-container {
  background:
    linear-gradient(rgba(0 0 0 / 0%) 30%, rgba(0 0 0 / 100%) 40%),
    url(../img/mv.webp) no-repeat center top / 100% auto;
  padding-block: calc(200vw / 3.75) calc(32vw / 3.75);

  > .inner {
    .title-content {
      display: grid;
      gap: calc(24vw / 3.75);
      .title-logo {
        text-align: center;
      }
      .catchcopy {
        color: #fff;
        text-align: center;
        line-height: 1.5;
      }
      .display_selected {
        background: var(--content-color-gold);
        border-radius: 999px;
        padding: calc(12vw / 3.75);
        font-weight: bold;
        color: #fff;
        text-align: center;
        position: relative;
        cursor: pointer;
        &::after {
          content: "";
          mask: var(--bg-img-setting) var(--content-arrow-down);
          background: #fff;
          width: calc(24vw / 3.75);
          height: calc(24vw / 3.75);
          position: absolute;
          top: 0;
          right: calc(24vw / 3.75);
          bottom: 0;
          margin: auto;
        }
      }
      .dep-select-zone {
        display: none;
        width: 100vw;
        height: 100vh;
        position: fixed;
        top: 0;
        left: 0;
        transition: all 0.5s;
        z-index: 100;
        background: rgba(0 0 0 / 80%);
        padding: calc(64vw / 3.75) calc(40vw / 3.75);
        .dep-select {
          display: grid;
          gap: calc(8vw / 3.75);
          > li > a {
            display: block;
            cursor: default;
            padding: calc(8vw / 3.75);
            font-size: 18px;
            font-weight: bold;
            color: #fff;
            text-align: center;
          }
        }
        .close-button {
          margin: calc(40vw / 3.75) auto;
          width: 5em;
          padding: calc(8vw / 3.75);
          border: var(--content-border-1);
          font-size: 18px;
          font-weight: bold;
          color: #fff;
          text-align: center;
        }
      }
    }
  }
}

/***** メインコンテンツ *****/
.main-container {
  position: relative;
  padding-block: calc(72vw / 3.75) calc(96vw / 3.75);
}
.container {
  width: 100%;
  display: grid;
  gap: calc(48vw / 3.75);
  .select-tab {
    width: var(--content-width);
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    > li {
      padding: calc(20vw / 3.75) calc(8vw / 3.75);
      font-size: 18px;
      color: var(--content-color-gold);
      text-align: center;
      border-bottom: var(--content-border-4) rgba(126 103 64 / 50%);
    }
    > li.is-current {
      color: var(--content-color-base);
      border-bottom-color: var(--content-color-gold);
    }
  }
  .select-content {
    display: none;
  }
  .select-content.is-active {
    display: grid;
    gap: calc(40vw / 3.75);
    padding-bottom: calc(48vw / 3.75);
    .hotel-content {
      display: grid;
      gap: calc(48vw / 3.75);
      .hotel-box {
        display: grid;
        gap: calc(24vw / 3.75);
        &::before {
          content: "";
          background: no-repeat left top / 100% auto;
          width: 100%;
          aspect-ratio: 335 / 188;
          display: block;
          margin-bottom: calc(24vw / 3.75);
        }
        &::after {
          display: block;
          position: absolute;
          top: calc(188vw / 3.75);
          right: 0;
          margin: auto;
          font-size: 12px;
          font-weight: bold;
          color: var(--content-color-gold);
          text-align: right;
        }
        .hotel-item {
          display: grid;
          gap: calc(20vw / 3.75);
          .hotel-titlebox {
            display: grid;
            gap: calc(4vw / 3.75);
            .hotel-title {
              display: grid;
              grid-template-columns: calc(56vw / 3.75) 1fr;
              gap: calc(4vw / 3.75);
              .area-icon {
                background: var(--content-color-gold);
                padding: 0 calc(2vw / 3.75);
                color: #fff;
                text-align: center;
                display: flex;
                justify-content: center;
                align-items: center;
              }
              .hotel-name {
                font-family: var(--font-serif);
                font-size: 24px;
                font-weight: 600;
              }
            }
            .hotel-copy {
              font-family: var(--font-serif);
              font-weight: 600;
              line-height: 1.8;
            }
          }
          .hotel-txt {
            color: var(--content-color-gold);
            line-height: 1.8;
          }
          .hotel-img {
            display: grid;
            grid-template-columns: repeat(2, 50%);
            > li .hotel-caption {
              display: block;
              text-align: right;
              font-size: 12px;
              font-weight: bold;
              color: var(--content-color-gold);
            }
          }
        }
      }
      .product-wrapper {
        padding-block: calc(32vw / 3.75);
        > .inner {
          .sub-title {
            font-size: 32px;
            color: #fff;
            text-align: center;
            margin-bottom: calc(24vw / 3.75);
          }
          .area00 {
            display: none;
            .close-txt {
              color: #fff;
              margin: 0 auto;
            }
          }
          .link-list {
            display: grid;
            gap: calc(12vw / 3.75);
            > li {
              width: 100%;
              height: calc(48vw / 3.75);
              > a {
                background: #fff;
                border-radius: 999px;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 100%;
                height: 100%;
                padding-right: calc(18vw / 3.75);
                padding-left: calc(26vw / 3.75);
                font-weight: bold;
                color: var(--content-color-gold);
                text-align: center;
                position: relative;
                &::before {
                  content: "";
                  mask: var(--bg-img-setting);
                  background: var(--content-color-gold);
                  width: calc(24vw / 3.75);
                  height: calc(24vw / 3.75);
                  position: absolute;
                  top: 0;
                  bottom: 0;
                  left: calc(18vw / 3.75);
                  margin: auto;
                }
              }
            }
            .is-dp > a::before {
              mask-image: url(/cmn/icon2/pack.svg);
            }
            .is-hotel > a::before {
              mask-image: url(/cmn/icon2/Hotel_building.svg);
            }
            .is-hide {
              display: none;
            }
          }
        }
      }
    }
    .halekulani.hotel-content .hotel-box::before {
      background-image: url(../img/photo/okinawa_mainland_halekulani01.webp);
    }
    .halekulani.hotel-content .hotel-box::after {
      content: "オーキッドプール";
    }
    .shigira.hotel-content .hotel-box::before {
      background-image: url(../img/photo/okinawa_island_shigira01.webp);
    }
    .shigira.hotel-content .hotel-box::after {
      content: "外観";
    }
    .risonare.hotel-content .hotel-box::before {
      background-image: url(../img/photo/hokkaido_tomamu_hoshino01.webp);
    }
    .risonare.hotel-content .hotel-box::after {
      content: "雲海テラス Cloud Walk（クラウドウォーク）";
    }
    .intercontinental.hotel-content .hotel-box::before {
      background-image: url(../img/photo/hokkaido_sapporo_interconti01.webp);
    }
    .intercontinental.hotel-content .hotel-box::after {
      content: "外観";
    }
    .europe.hotel-content .hotel-box::before {
      background-image: url(../img/photo/kyushu_nagasaki_htb01.webp);
    }
    .europe.hotel-content .hotel-box::after {
      content: "外観";
    }
    .hakusuikan.hotel-content .hotel-box::before {
      background-image: url(../img/photo/kyushu_kagoshima_ibusuki01.webp);
    }
    .hakusuikan.hotel-content .hotel-box::after {
      content: "元禄風呂";
    }
    .dogokan.hotel-content .hotel-box::before {
      background-image: url(../img/photo/shikoku_ehime_dougo01.webp);
    }
    .dogokan.hotel-content .hotel-box::after {
      content: "外観";
    }
    .kotosankaku.hotel-content .hotel-box::before {
      background-image: url(../img/photo/shikoku_kagawa_kotohira01.webp);
    }
    .kotosankaku.hotel-content .hotel-box::after {
      content: "露天風呂";
    }
    .hakusuikan .more-link.is-hotel {
      display: none;
    }
    .link-button {
      width: 100%;
      margin: auto;
      > a {
        display: flex;
        gap: 24px;
        justify-content: center;
        align-items: center;
        border-radius: 999px;
        background: var(--content-color-gold);
        padding: calc(12vw / 3.75) calc(12vw / 3.75) calc(12vw / 3.75) calc(64vw / 3.75);
        font-size: 18px;
        font-weight: bold;
        color: #fff;
        text-align: center;
        &::after {
          content: "";
          mask: var(--bg-img-setting) var(--content-arrow-right);
          background: #fff;
          width: calc(24vw / 3.75);
          height: calc(24vw / 3.75);
          display: block;
        }
        &:hover {
          opacity: 0.8;
        }
      }
      &.is-hide {
        display: none;
      }
    }
  }
  .is-oka .product-wrapper {
    background-image: url(../img/bg_okinawa.webp);
  }
  .is-hokkaido .product-wrapper {
    background-image: url(../img/bg_hokkaido.webp);
  }
  .is-kyushu .product-wrapper {
    background-image: url(../img/bg_kyushu.webp);
  }
  .is-shikoku .product-wrapper {
    background-image: url(../img/bg_shikoku.webp);
  }
  .bnr-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: calc(16vw / 3.75);
    > li {
      width: 100%;
    }
  }
}
